curl --request GET \
--url https://api.getcargo.io/v1/segmentation/changes/list \
--header 'Authorization: Bearer <token>'{
"changes": [
{
"uuid": "<string>",
"workspaceUuid": "<string>",
"segmentUuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
]
}List all segment changes
curl --request GET \
--url https://api.getcargo.io/v1/segmentation/changes/list \
--header 'Authorization: Bearer <token>'{
"changes": [
{
"uuid": "<string>",
"workspaceUuid": "<string>",
"segmentUuid": "<string>",
"slug": "<string>",
"totalRecordsCount": 123,
"updatedRecordsCount": 123,
"removedRecordsCount": 123,
"addedRecordsCount": 123,
"unchangedRecordsCount": 123,
"createdAt": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Segment identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Filter changes by record kind.
added, updated, removed Maximum number of changes to return.
Number of changes to skip.
Successful response
List of changes.
Show child attributes
Was this page helpful?